OpenTTD Source: Data Fields - Variables

OpenTTD Source 15.0-RC2

Here is a list of all documented variables with links to the struct/union documentation for each field:

### - u -

- ui_count : NewGRFClass< Tspec, Tindex, Tmax >
- unbalanced : Kdtree< T, TxyFunc, CoordT, DistT >
- unclick_timeout : GSConfigWindow, NewGRFParametersWindow, ScriptSettingsWindow
- undelivered_supply : LinkGraphJob::NodeAnnotation
- unique_id : ContentInfo
- unitnumber : Vehicle
- unitnumber_digits : BaseVehicleListWindow
- units_force : LocaleSettings
- units_height : LocaleSettings
- units_power : LocaleSettings
- units_velocity : LocaleSettings
- units_velocity_nautical : LocaleSettings
- units_volume : CargoSpec, LocaleSettings
- units_weight : LocaleSettings
- unlock : VideoDriver::VideoBufferLocker
- unrestricted : FlowStat
- unsatisfied_demand : LinkGraphJob::DemandAnnotation
- unscaled : WidgetDimensions
- unshaded_size : Window
- unwanted : Town
- update_frequency : ServerNetworkAdminSocketHandler
- update_interval : FramerateWindow, FrametimeGraphWindow
- update_payment_interval : PaymentRatesGraphWindow
- upgrade : ContentInfo
- uri : NetworkHTTPRequest
- url : BaseSet< T >, ContentInfo, GRFConfig, ScriptInfo
- usage : LinkGraph::BaseEdge, LinkProperties
- use_as_random : AIInfo
- use_password : NetworkCompanyInfo, NetworkServerGameInfo
- use_relay_service : NetworkSettings
- used : PickerCallbacks
- used_bitmap : Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >
- used_liveries : GRFLoadedFeatures
- used_names : StationNameInformation
- used_random_triggers : ResolverObject
- used_set : BaseMedia< Tbase_set >
- used_size : TrueTypeFontCache
- user : OrderBackup
- user_def_data : RailVehicleInfo, TrainCache
- utf16_str : IcuStringIterator
- utf16_to_utf8 : IcuStringIterator, OSXStringIterator, UniscribeStringIterator
- uz_min_x : NWidgetResizeBase
- uz_min_y : NWidgetResizeBase
- uz_padding : NWidgetBase
- uz_pip_inter : NWidgetPIPContainer
- uz_pip_post : NWidgetPIPContainer
- uz_pip_pre : NWidgetPIPContainer
- uz_text_lines : NWidgetResizeBase
- uz_text_size : NWidgetResizeBase
- uz_text_spacing : NWidgetResizeBase